<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: announcement_admin.php
| CVS Version: 1.3
| Author: HobbyMan
| Web: http://www.php-fusion.hobbysites.net/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
require_once INCLUDES."bbcode_include.php";

if (!checkrights("ANCP") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

if (file_exists(INFUSIONS."simple_announcement_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."simple_announcement_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."simple_announcement_panel/locale/English.php";
}

include INFUSIONS."simple_announcement_panel/infusion_db.php";

add_to_title($locale['global_200'].$locale['anc_201']);

if (isset($_POST['savesettings'])) {
	$result = dbquery("UPDATE ".DB_ANNOUNCEMENT." SET
	    
		anc_user='".addslash(descript($_POST['anc_user']))."',
        anc_import='".addslash(descript($_POST['anc_import']))."',
        anc_subject='".addslash(descript($_POST['anc_subject']))."',
        anc_msubject='".addslash(descript($_POST['anc_msubject']))."',
        anc_text='".addslash(descript($_POST['anc_text']))."',
        anc_mtext='".addslash(descript($_POST['anc_mtext']))."',
        anc_datestamp='".(isNum($_POST['anc_datestamp']) ? $_POST['anc_datestamp'] : "0")."',
        anc_showpd='".(isNum($_POST['anc_showpd']) ? $_POST['anc_showpd'] : "0")."',
        anc_status='".(isNum($_POST['anc_status']) ? $_POST['anc_status'] : "0")."'
	");

	
}

$data = dbarray(dbquery("SELECT * FROM ".DB_ANNOUNCEMENT));

$version = $locale['anc_224'].$data['anc_version'];

opentable($locale['anc_200'].$locale['anc_213'].$version);

echo "<form name='announce' method='post' action='".FUSION_SELF.$aidlink."'>\n";

echo "<table align='center' cellpadding='0' cellspacing='0' width='90%'><tr><td colspan='3' align='left'><b>".$locale['anc_201']."</b><br /><br /></td></tr>\n";

echo "<tr><td width='40%'class='tbl2' align='right' valign='top'><b>".$locale['anc_003']."</b></td>";
echo "<td class='tbl2' align='left' colspan='2'>";
echo "<select name='anc_import' class='textbox'>
<option value=''".($data['anc_import'] == "0" ? " selected" : "").">".$locale['anc_212']."</option>
<option value='".$locale['anc_207']."'".($data['anc_import'] == "".$locale['anc_207']."" ? " selected" : "").">".$locale['anc_207']."</option>
<option value='".$locale['anc_208']."'".($data['anc_import'] == "".$locale['anc_208']."" ? " selected" : "").">".$locale['anc_208']."</option>
<option value='".$locale['anc_209']."'".($data['anc_import'] == "".$locale['anc_209']."" ? " selected" : "").">".$locale['anc_209']."</option>
<option value='".$locale['anc_210']."'".($data['anc_import'] == "".$locale['anc_210']."" ? " selected" : "").">".$locale['anc_210']."</option>
<option value='".$locale['anc_211']."'".($data['anc_import'] == "".$locale['anc_211']."" ? " selected" : "").">".$locale['anc_211']."</option>
</select>\n";
echo "</td></tr>";

echo "<tr><td colspan='3'><hr></td></tr>";

echo "<tr><td width='40%'class='tbl2' align='right'><b>".$locale['anc_004']."</b></td>";
echo "<td class='tbl2' align='left' width='60%' colspan='2'>";
echo "<input type='text' name='anc_subject' value='".$data['anc_subject']."' maxlength='32' class='textbox' style='width:230px;' /><br />";
echo "</td></tr>";

echo "<tr><td width='40%'class='tbl2' align='right' valign='top'><b>".$locale['anc_005']."</b></td><td class='tbl2' align='left' width='60%' colspan='2'>";
echo "<textarea name='anc_text' rows='6' cols='44' class='textbox' style='width:400px;' />".stripslashes($data['anc_text'])."</textarea><br />";
echo display_bbcodes("340px", "anc_text", "announce", "smiley|b|i|u|left|center|small|url|img|color|bcolor")."\n";
echo "</td></tr>";

echo "<tr><td colspan='3'><hr></td></tr>";

echo "<tr><td width='40%'class='tbl2' align='right'><b>".$locale['anc_004']."</b></td>";
echo "<td class='tbl2' align='left' width='60%' colspan='2'>";
echo "<input type='text' name='anc_msubject' value='".$data['anc_msubject']."' maxlength='32' class='textbox' style='width:230px;' /><br />";
echo "</td></tr>";

echo "<tr><td width='40%'class='tbl2' align='right' valign='top'><b>".$locale['anc_006']."</b></td><td class='tbl2' align='left' width='60%' colspan='2'>";
echo "<textarea name='anc_mtext' rows='6' cols='44' class='textbox' style='width:400px;' />".stripslashes($data['anc_mtext'])."</textarea><br />";
echo display_bbcodes("340px", "anc_mtext", "announce", "smiley|b|i|u|left|center|small|url|img|color|bcolor")."\n";
echo "</td></tr>";

echo "<tr><td colspan='3'><hr></td></tr>";

echo "<tr><td width='40%'class='tbl2' align='right'><b>".$locale['anc_204']."</b><td class='tbl2' align='left' width='60%' colspan='2'>";
echo "<b>".$userdata['user_name']."</b><input type='hidden' name='anc_user' value='".$userdata['user_name']."' class='textbox' />";
echo "</td></tr>";

echo "<tr><td width='30%'class='tbl2' align='right'><b>".$locale['anc_205']."</b></td><td class='tbl2' align='left' width='30%'>";
echo "<input type='hidden' name='anc_datestamp' value='".time()."' class='textbox' />".strftime('%d/%m/%Y', $data['anc_datestamp']+($settings['timeoffset']*3600))."</td>";
echo "<td class='tbl2' align='left' width='30%'><input type='submit' name='savesettings' value='".$locale['anc_206']."' class='panelbutton'>";
echo "</td></tr>";

        if ($data['anc_showpd'] == 0) 
		{
		$showpd = $locale['anc_221'];
		} else {
		$showpd = $locale['anc_220'];
		}

echo "<tr><td width='40%' class='tbl2' align='right'><div class='small'>".$locale['anc_214']."</div><td class='tbl2' align='left' width='60%' colspan='2'>";
echo "<div class='small'><label><input type='radio' name='anc_showpd' value='1'".($data['anc_showpd'] == "1" ? " checked='checked'" : "")." />&nbsp;".$locale['anc_215']."</label>";
echo "&nbsp;<label><input type='radio' name='anc_showpd' value='0'".($data['anc_showpd'] == "0" ? " checked='checked'" : "")." />&nbsp;".$locale['anc_216']."</label>&nbsp;[<b>".$showpd."</b>]</div>";
echo "</td></tr>";

		if ($data['anc_status'] == 0) 
		{
		$show = $locale['anc_219'];
		} else {
		$show = $locale['anc_218'];
		}

echo "<tr><td width='40%' class='tbl2' align='right' valign='top'><div class='small'>".$locale['anc_217']."</div><td class='tbl2' align='left' width='60%' colspan='2'>";
echo "<div class='small'><label><input type='radio' name='anc_status' value='1'".($data['anc_status'] == "1" ? " checked='checked'" : "")." />&nbsp;".$locale['anc_215']."</label>";
echo "&nbsp;<label><input type='radio' name='anc_status' value='0'".($data['anc_status'] == "0" ? " checked='checked'" : "")." />&nbsp;".$locale['anc_216']."</label>&nbsp;[<b>".$show."</b>]</div>";
echo "<br /></td></tr>";

echo "<tr><td colspan='3' align='center'>";
echo "<br /><input type='submit' name='savesettings' value='".$locale['anc_203']."' class='button'>";
echo "</td></tr>\n</table>\n</form>\n";

echo "<br /><br />";

closetable();

//Preview

echo "<u><b>".$locale['anc_222']."</b></u><br /><div class='small'>".$locale['anc_223']."</div><br />";

$datapr = dbarray(dbquery("SELECT * FROM ".DB_ANNOUNCEMENT));

		if ($datapr['anc_status'] == 0) {
		$title = "";
		} else {
		$title = "".$locale['anc_213'].$datapr['anc_import']."";
		}

opentable($locale['anc_001'].$title);
        
        if ($datapr['anc_text'])
        {
echo "<table align='center' cellpadding='0' cellspacing='0' width='90%' border='0'>\n";
echo "<tr><td class='small'>";
echo "<b><i>".$locale['anc_005']."</i></b>";
echo "<br /><br />";
echo "<b>".$datapr['anc_subject']."</b>";
echo "<br />";
$anc_text = phpentities(stripslashes($datapr['anc_text']));
echo "".nl2br(parseubb(parsesmileys($anc_text)))."<br />";
echo "</td></tr>";
echo "</table>";
echo "<hr>";

        } else {
        echo "<b><i>".$locale['anc_005']."</i></b>";
        echo "<br /><br />";
        echo "<div style='text-align:center' class='small'>".$locale['anc_400']."</div><hr>\n";
        }

      
        if ($datapr['anc_mtext'])
        {
echo "<table align='center' cellpadding='0' cellspacing='0' width='90%' border='0'>\n";
echo "<tr><td class='small'>";
echo "<hr>";
echo "<b><i>".$locale['anc_006']."</i></b>";
echo "<br /><br />";
echo "<b>".$datapr['anc_msubject']."</b>";
echo "<br />";
$anc_mtext = phpentities(stripslashes($datapr['anc_mtext']));
echo "".nl2br(parseubb(parsesmileys($anc_mtext)))."<br />";
echo "</td></tr>";
echo "</table>";
echo "<hr>";

        } else {
        echo "<b><i>".$locale['anc_006']."</i></b>";
        echo "<br /><br />";
        echo "<div style='text-align:center' class='small'>".$locale['anc_400']."</div><hr>\n";
        }

// Please do not remove copyright
        echo "<br /><br />";
	    echo "<div class='tbl2'><div class='small' align='center'>".$locale['anc_002']." ".$version." &copy; <a target='_blank' href='http://www.php-fusion.hobbysites.net'>HobbySites.net</a> ".date("Y")."<br /></div></div>\n";
closetable();

require_once THEMES."templates/footer.php";
?>