<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: simple_announcement_panel.php
| CVS Version: 1.3
| Author: HobbyMan
| Web: http://www.php-fusion.hobbysites.net/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."simple_announcement_panel/infusion_db.php";
require_once INCLUDES."bbcode_include.php";

if (file_exists(INFUSIONS."simple_announcement_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."simple_announcement_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."simple_announcement_panel/locale/English.php";
}

$result = dbquery("SELECT * FROM ".DB_ANNOUNCEMENT);
	if (dbrows($result) != 0) {
		while ($anc_data = dbarray($result)) {
		
		if ($anc_data['anc_status'] == 0) {
		$title = "";
		} else {
		$title = "".$locale['anc_213'].$anc_data['anc_import']."";
		}

    opentable($locale['anc_001'].$title);

        if ($anc_data['anc_showpd'] == 0)
        {
        $hr = "";
        } else {
        $hr = "<hr class='side-hr' />";
        }
        
        if (!iMEMBER) {
        $subject = $anc_data['anc_subject'];
        } elseif (iMEMBER && $anc_data['anc_msubject']) {
        $subject = $anc_data['anc_msubject'];
        } elseif (iMEMBER && ($anc_data['anc_msubject'] == 0)) {
        $subject = $anc_data['anc_subject'];
        }
        
        if (!iMEMBER) {
        $text = phpentities(stripslashes($anc_data['anc_text']));
        } elseif (iMEMBER && $anc_data['anc_mtext']) {
        $text = phpentities(stripslashes($anc_data['anc_mtext']));
        } elseif (iMEMBER && ($anc_data['anc_mtext'] == 0)) {
        $text = phpentities(stripslashes($anc_data['anc_text']));
        }
        
        if ($anc_data['anc_status'] == 0) {
        echo "<div style='text-align:center' class='small'>".$locale['anc_400']."</div>\n";
        } else {
        echo "<table width='100%' cellpadding='0' cellspacing='0'>";
		echo "<tr>";
		echo "<td class='small'>";
		echo "<b>".$subject."</b>";
		echo "<br />";
		echo "".nl2br(parseubb(parsesmileys($text)))."<br />";
		echo $hr;
         
        if (!iADMIN) {
        echo "";
        } elseif (iADMIN && checkrights("ANCP")) { 
        echo "<div style='float:left' class='small'><a href='".INFUSIONS."simple_announcement_panel/admin/simple_announcement_admin.php".$aidlink."'>";
        echo "<img src='".get_image("edit")."' alt='".$locale['global_076']."' title='".$locale['global_076']."' style='vertical-align:middle;border:0;' /></a></div>\n";
        }

        if ($anc_data['anc_showpd'] == 0)
        {
        echo "";
        } else {
        echo"<div style='float:right' class='small'>".$locale['anc_007']." ".$anc_data['anc_user']." ".$locale['anc_008']." ".strftime('%d/%m/%Y', $anc_data['anc_datestamp']+($settings['timeoffset']*3600))."</div>";
        }
		echo " </td></tr>";
		echo "</table>\n";
     	}
	    }
	    }
closetable();
?>